# Class GLTFObject

GLTF 对象

#### Hierarchy

- Group
  - GLTFObject

- Defined in lib/gltf-loader/gltf-object.ts:6

##### Index

### Constructors

constructor

### Properties

mixer
needsRender

### Methods

clone

## Constructors

### constructor

- new GLTFObject(rootObject?: Object3D): GLTFObject

  #### Parameters

  - `Optional` rootObject: Object3D

  #### Returns GLTFObject

  Overrides THREE.Group.constructor

  - Defined in lib/gltf-loader/gltf-object.ts:17

## Properties

### mixer

mixer: AnimationMixer

mixer 为对应当前对象的动画混合器

#### Description

通过 `gltf.animations` 可以获取动画帧。 通过 `gltf.scene.mixer.clipAction(gltf.animations[0]).play()` 即可播放动画。

- Defined in lib/gltf-loader/gltf-object.ts:15

### needsRender

needsRender: boolean

- Defined in lib/gltf-loader/gltf-object.ts:7

## Methods

### clone

- clone(): GLTFObject

  #### Returns GLTFObject

  Overrides THREE.Group.clone

  - Defined in lib/gltf-loader/gltf-object.ts:26